### set ports

Use the set ports command to

- Configure the operating parameters of a port
- Display the port’s operating parameters

Normal users can use the set ports command to display operating parameters for the port they are using. Administrator (root) privileges are required to use it to display parameters on other ports and to configure ports.

Also see the set line and set flow commands.

#### Command Syntax

##### Configuration Syntax

Enter the set ports command as shown below to configure the operating parameters of a port.

`set ports [auto={on|off}] [bin={on|off}] [dest=ip_addr] [dev=device] [dport=tcp_port]` `[edelay=milliseconds] [group=group] [id=show|id_name] [range=range]` `[save=on|off] [sess=sessions] [termtype=type] [uid=id] [revert={factory|nvram}]`

##### Display Syntax

Enter the set ports command as shown below to display operating parameters for a port.

`set ports [range=range`]

#### Command Fields

Command Field | Description
auto | on - all users of the port will bypass the device/terminal server login and password sequence and be automatically connected to the destination defined in the dest field. off - users will not be automatically connected to a destination. The default is off.
bin | on - telnet users are provided with telnet binary connections. off - telnet users are provided with normal (ASCII) connections. The default is off.
dest | Specifies the IP address of the destination system to which port users will be routed if auto=on. The default is 0.0.0.0 for .
dev | Specifies the device type, which defines the device connected to the port. Typically, you can use the following to define the devices listed: Most printers can use dev=prn. Most dumb terminals can use dev=term. Most incoming modem connections can use dev=min. Most outgoing modem connections can use dev=mout. Most bi-directional modem connections can use dev=mio. Most Realport connections can use dev=rp. Most reverse telnet connections can use dev=prn. If the device you are configuring is not one of these listed or requires unusual flow control attributes, use the following device type information to define a device type: dev=term The device/terminal server generates a login when it receives data. The device/terminal server ignores loss of carrier (DCD low). DTR and RTS are high when the connection is idle. This type usually requires cable support for transmit, receive, and ground only, which means a 3-wire crossover cable will work. Six, eight, and ten wire crossover cables work as well. Do not use dev=term for RealPort and reverse telnet connections. dev=prn The device/terminal server never generates a login. The device/terminal server ignores carrier. DTR and RTS are low when the connection is idle. This type usually requires cable support for transmit, receive, and ground only, which means a 3-wire crossover cable will work. Six, eight, and ten wire crossover cables work as well. Use dev=prn for reverse telnet connections. dev=min The device/terminal server generates a login when carrier is detected (DCD high). The device/terminal server closes the port at carrier loss (DCD low). DTR and RTS are high when the connection is idle. This type requires a 10-pin straight-through cable or an altpin cable. Do not use dev=min for RealPort and reverse telnet connections. dev=mout The device/terminal server never generates a login. The device/terminal server closes the port at carrier loss (DCD low). DTR and RTS are low when the connection is idle. This type requires a 10-pin straight-through cable or an altpin cable. dev=mout supports RealPort and reverse telnet. dev=mio The device/terminal server generates a login when carrier is detected (DCD high). The device/terminal server closes the port at carrier loss (DCD low). DTR and RTS are high when the connection is idle. This type requires a 10-pin straight-through cable or an altpin cable. dev=mio supports reverse telnet but does not support RealPort. dev=host The device/terminal server does not generate a login. The device/terminal server opens the port at DCD high and closes the port at carrier loss (DCD low). DTR and RTS are low when the connection is idle. This type supports reverse telnet and RealPort. This type requires a cable that supports carrier detect (DCD). dev=hdial The device/terminal server generates a login when carrier is detected (DCD high) and data is received. The device/terminal server closes the port at carrier loss (DCD low). DTR and RTS are low when the connection is idle This type does not support reverse telnet or RealPort. This type requires 10-pin cables with DCD and DTR cross-connected or an altpin cable. dev=hio The device/terminal server generates a login when carrier is detected (DCD high) and data is received. The device/terminal server closes the port at carrier loss (DCD low). DTR and RTS are low when the connection is idle This type requires 10-pin cables with DCD and DTR cross-connected or an altpin cable. dev=rp The device/terminal server never generates a login. The device/terminal server ignores carrier. DTR and RTS are low when the connection is idle. This type usually requires cable support for transmit, receive, and ground only, which means a 3-wire crossover cable will work. Six, eight, and ten wire crossover cables will work as well. Use dev=rp for RealPort connections. The default is term. Note: With mio, mout, min, host, and hdial device types, the device/terminal server lowers DTR at disconnect and holds it low for two seconds to ensure a clean disconnection.
dport | The TCP port for users of autoconnect ports, which is one of the following: 23 for telnet 513 for rlogin Any other TCP port or a physical port on the device/terminal server, identified by specifying 20 and then the port number. For example, to indicate an autoconnect telnet connection to port 12, specify dport=2012. none, which means one of two things, depending on whether a specific user is assigned to this port on the uid field: (1) That rlogin is used as the default if a specific user is assigned to this port (2) That telnet is used as the default if a specific user is not assigned to this port. The default is 0 for Digi One RealPort and PortServer TS 2/4, none for PortServer TS 8/16.
edelay | edelay is a tunable parameter used to set the number of milliseconds of delay between the time the first character arrives after a period of no characters and notification of its arrival to the host. This has the advantage of reducing host overhead by allowing the host to process larger blocks of incoming data. Larger edelay values result in more characters being sent in a given time period. This will reduce host processor overhead and increase overall system throughput. Smaller edelay values result in fewer characters being sent in a given time period. This will increase character response time and increase host processor overhead. The default value for edelay is 1. This is a good value for normal TTY activity like typing. For some applications like uucp, decreasing the edelay value may increase character throughput, but will result in increased host (system) overhead. For applications receiving continuous input at high speeds, increasing edelay will result in lowering host overhead and increasing overall system throughput. A value of 250 is reasonable.
group | Assigns a group number to this port, which means that this port is part of a hunt group. Outgoing calls specifying this hunt group can then use any available port in the group. Choose numbers beyond the PortServer's highest numbered port to avoid conflicts with regular port numbers. The default is 0 for Digi One RealPort and PortServer TS 2/4, none for PortServer TS 8/16.
id | Sets and displays port ids. id=show - displays the port id (if it exists) for each port. Ports do not have an id by default. id=id_name - creates or changes the ID for a port or ports specified using the range field.
range | Specifies the port or range of ports to which this command applies.
revert | factory - restore settings to factory defaults. nvram - restore settings to last saved values. Not supported on Digi One RealPort or PortServer TS 2/4.
save | on - set ports changes are saved when the device/terminal server is rebooted. off - Any set ports options set when save=off will be lost when the device/terminal server is rebooted. The default is on.
sess | Specifies the maximum number of sessions any user can run through this port. The range is 1-9, and the default is 4.
termtype | Specifies the type of terminal assigned to the port. This information is used during multiscreen and multisession operations and is passed to the host during telnet negotiations. Use a terminal type that is valid with the host operating system.
uid | Specifies an index number in the user table that identifies a particular user for this port. If you use this field, calls from others attempting to use this port will be rejected. The default is none.

#### Command Examples

##### Displaying Attributes of the Current Port

In this example, the set ports command displays attributes for the port to which the user is connected.

`set ports`

##### Displaying Attributes for a Range of Ports

In this example, the set ports command displays attributes for a range of ports.

`set ports range=7-8`

##### Configuring an Autoconnect Port

In this example, the set ports command configures the port so that all incoming users are automatically connected via telnet to the host specified on the dest field. The port is also available for outgoing connections.

`set ports range=5 auto=on dest=199.125.123.10 dev=mio dport=23`